---
# Source: vault-secrets-webhook/templates/webhook-deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: vault-secrets-webhook
  namespace: vault-operator
  labels:
    helm.sh/chart: vault-secrets-webhook-1.16.0
    app.kubernetes.io/name: vault-secrets-webhook
    app.kubernetes.io/instance: vault-secrets-webhook
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/component: mutating-webhook
spec:
  replicas: 2
  selector:
    matchLabels:
      app.kubernetes.io/name: vault-secrets-webhook
      app.kubernetes.io/instance: vault-secrets-webhook
  template:
    metadata:
      labels:
        app.kubernetes.io/name: vault-secrets-webhook
        app.kubernetes.io/instance: vault-secrets-webhook
        security.banzaicloud.io/mutate: skip
      annotations:
        checksum/config: ee858472cb4ecb6441c90c3cd24d5c2099a6e91b7b10afe2f6855159a6972dee
    spec:
      serviceAccountName: vault-secrets-webhook
      volumes:
        - name: serving-cert
          secret:
            defaultMode: 420
            secretName: vault-secrets-webhook-webhook-tls
      containers:
        - name: vault-secrets-webhook
          image: "ghcr.io/banzaicloud/vault-secrets-webhook:1.16.0"
          env:
            - name: TLS_CERT_FILE
              value: /var/serving-cert/tls.crt
            - name: TLS_PRIVATE_KEY_FILE
              value: /var/serving-cert/tls.key
            - name: LISTEN_ADDRESS
              value: ":8443"
            - name: VAULT_ENV_IMAGE
              value: "ghcr.io/banzaicloud/vault-env:1.16.0"
            - name: VAULT_IMAGE
              value: "vault:1.6.2"
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 8443
          readinessProbe:
            httpGet:
              scheme: HTTPS
              path: /healthz
              port: 8443
          volumeMounts:
            - mountPath: /var/serving-cert
              name: serving-cert
          securityContext:
            allowPrivilegeEscalation: false
            runAsUser: 65534
          resources:
            {}
